package cn.com.poc.thirdparty.resource.demand.ai.entity.chatgpt;

import com.fasterxml.jackson.annotation.JsonFilter;

/**
 * @author alex.yao
 * @date 2023/5/26
 **/
public class Usage {

    @JsonFilter("prompt_tokens")
    private Integer promptToken;

    @JsonFilter("completion_tokens")
    private Integer completionTokens;

    @JsonFilter("total_tokens")
    private Integer totalToken;

    public Integer getPromptToken() {
        return promptToken;
    }

    public void setPromptToken(Integer promptToken) {
        this.promptToken = promptToken;
    }

    public Integer getCompletionTokens() {
        return completionTokens;
    }

    public void setCompletionTokens(Integer completionTokens) {
        this.completionTokens = completionTokens;
    }

    public Integer getTotalToken() {
        return totalToken;
    }

    public void setTotalToken(Integer totalToken) {
        this.totalToken = totalToken;
    }
}
